#!/bin/bash
############################################
# A script to run (N-1) ipglasma events    #
#                                          #
# argument $1 = N                          #
# Code checks if event exists and if not   #
# submits a single event script to sbatch  #
############################################

counter=1				## start with this event
testFile=usedParameters0.dat		## check if this file present - if present, do nothing

until [ $counter -gt $1 ]		## loop over all numbers until N-1 where N=$1
do
    echo Count $counter
    checkDir=/lustre/alice/users/jcrkovsk/IPGlasmaEvents/Event$counter
    # checkDir=Event$counter
    if [ -d "$checkDir" ]; then		## check if directory exists
        echo "Directory ${checkDir} already exists."
    else
        echo "Creating directory ${checkDir}"
        mkdir ${checkDir}

    fi
    if [ -f "${checkDir}/${testFile}" ]; then	## check if the file exists
        echo "File exists. Nothing to do."
    else
	sbatch --job-name IPG$counter --time=5:00:00 makeSingleEvent.sh $counter	## submit single glasma event
    fi
    ((counter++))
done
