#!/bin/bash
###############################################
# A script to run a single event of IP Glasma #
# argument $1: eventnumber
###############################################

number=$1
origDir=$(pwd)
targetDir=/lustre/alice/users/jcrkovsk/IPGlasmaEvents/Event$number
echo Target dir $targetDir
## check if directory exists - if not make it
if [ ! -d "$targetDir" ]; then
   mkdir $targetDir
fi

## must copy this file into the working (glasma event) directory
cp /lustre/alice/users/jcrkovsk/ipglasma/qs2Adj_vs_Tp_vs_Y_200.in $targetDir
cd $targetDir

## load libraries
spack load -r openmpi target=x86_64
spack load -r fftw target=x86_64

## run ipglasma
/lustre/alice/users/jcrkovsk/ipglasma/ipglasma /lustre/alice/users/jcrkovsk/IPGlasmaEvents/BjoernsInputFile/inputPbPb

rm qs2Adj_vs_Tp_vs_Y_200.in 

## go back
cd $origDir
