#!/bin/bash
##############################################
# Resubmit failed hydro events               #
#                                            #
# argument $1 = list of failed events        #
# (from getCrashedJobs.sh but needs edits)   #
##############################################

requiredFile="epsilon-u-Hydro-t0.6-0.dat"
testFile="surface_eps_0.3147.dat"

for counter in `cat $1`; do
    #echo Count $counter
    checkDir=/lustre/alice/users/jcrkovsk/IPGlasmaEvents/Event$counter/Hydro06 
    echo $checkDir
    rm -rf $checkDir
    aboveDir=/lustre/alice/users/jcrkovsk/IPGlasmaEvents/Event$counter
    if [[ ! -d "$checkDir" ]]; then
        echo "Creating directory ${checkDir}"
        mkdir ${checkDir}
    fi
    if [[ -f "${aboveDir}/${requiredFile}" ]]; then
        if [[ ! -f "${checkDir}/${testFile}" ]]; then
	    sbatch --job-name 06H$counter --time=8:00:00 singleEventHydro.sh $counter
	fi
    else
        echo "Counter $counter: Missing IPGlasma files!!!"
    fi
done

